package br.com.evologica.mvp.ui.base;

import android.content.Context;
import android.support.annotation.StringRes;
import android.support.v4.app.Fragment;

/**
 * Created by marcussales on 01/03/2017.
 */

public class BaseFragment extends Fragment implements MvpView {

    private BaseActivity baseActivity;

    @Override
    public void showLoading() {

    }

    @Override
    public void hideLoading() {

    }

    @Override
    public void onError(@StringRes int resId) {

    }

    @Override
    public void onError(String message) {

    }

    @Override
    public void onAttach(Context context) {
        super.onAttach(context);
        if(context instanceof BaseActivity){
            BaseActivity activity = (BaseActivity) context;
            this.baseActivity = activity;
            activity.onFragmentAttached();
        }
    }

    public BaseActivity getBaseActivity() {
        return baseActivity;
    }

    @Override
    public void sessionFinished() {
        baseActivity.sessionFinished();
    }

    public interface Callback {

        void onFragmentAttached();

        void onFragmentDetached(String tag);
    }
}
